Probleme rake


#1

Bonjour,

Quand je lance un “rake db:create:all” --trace dans ma console,
j’obtiens toujours le message d’erreur suivant :

** Invoke db:create:all (first_time)
** Invoke environment (first_time)
** Execute environment
rake aborted!
no such file to load – openssl
/usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/initializer.rb:229:in
require_frameworks' /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/initializer.rb:118:inprocess’
/usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/initializer.rb:97:in
send' /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/initializer.rb:97:inrun’
/home/session/Bureau/scritRorTest/version10/config/environment.rb:13
/usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
gem_original_require' /usr/local/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:inrequire’
/usr/local/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:510:in
require' /usr/local/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:355:innew_constants_in’
/usr/local/lib/ruby/gems/1.8/gems/activesupport-2.1.2/lib/active_support/dependencies.rb:510:in
require' /usr/local/lib/ruby/gems/1.8/gems/rails-2.1.2/lib/tasks/misc.rake:3 /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:546:incall’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:546:in
execute' /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:541:ineach’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:541:in
execute' /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:508:ininvoke_with_call_chain’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:501:in
synchronize' /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:501:ininvoke_with_call_chain’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:518:in
invoke_prerequisites' /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1183:ineach’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1183:in send' /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1183:ineach’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:515:in
invoke_prerequisites' /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:507:ininvoke_with_call_chain’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:501:in
synchronize' /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:501:ininvoke_with_call_chain’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:494:in invoke' /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1931:ininvoke_task’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1909:in
top_level' /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1909:ineach’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1909:in
top_level' /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1948:instandard_exception_handling’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1903:in
top_level' /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1881:inrun’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1948:in
standard_exception_handling' /usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/lib/rake.rb:1878:inrun’
/usr/local/lib/ruby/gems/1.8/gems/rake-0.8.1/bin/rake:31
/usr/local/bin/rake:19:in `load’
/usr/local/bin/rake:19


#2

Monseigneur babiben wrote:

Bonjour,

Quand je lance un “rake db:create:all” --trace dans ma console,
j’obtiens toujours le message d’erreur suivant :

** Invoke db:create:all (first_time)
** Invoke environment (first_time)
** Execute environment
rake aborted!
no such file to load – openssl

Il te manque ruby-openssl

http://morecode.wordpress.com/2007/01/16/capistrano-error-no-such-file-to-load-openssl-ruby-on-rails/
http://www.ruby-forum.com/topic/90083
http://railsforum.com/viewtopic.php?id=25874

t’explique ce qu’il faut faire selon certain environnement. 3 premiers
résultats venant de :

http://www.google.fr/search?q=no+such+file+to+load+--+openssl&ie=utf-8&oe=utf-8&aq=t&rls=org.mozilla:en-US:official&client=firefox-a


Cyril M.
http://blog.shingara.fr


#3

Mais je n’ai pas de répertoire ext/openssl dans mon repertoire
/usr/local/lib/ruby/1.8 ? Il faut le créer ? Car ma libopenssl est deja
installée